Mono stack issues in Fedora 18 (Was Re: F-18 Branched report: 20120920 changes)

Peter Robinson pbrobinson at gmail.com
Mon Sep 24 21:15:36 UTC 2012


On Mon, Sep 24, 2012 at 5:38 PM, Tom Callaway <tcallawa at redhat.com> wrote:
> On 09/20/2012 05:10 PM, Kalev Lember wrote:
>> On 09/20/2012 08:30 PM, Tom Callaway wrote:
>>> ease requires clutter-gtk010 (okay, so we drop ease, but...)
>>> clutter-sharp requires clutter-gtk010
>>>
>>> All of the following packages require clutter-sharp in F18
>>
>> I don't think any of these packages really need clutter-sharp. There
>> appears to be a packaging error so that the clutter-sharp package also
>> provides glib bindings, which is what was causing all the packages to
>> show up in your repoquery.
>>
>> $ repoquery -q --provides clutter-sharp
>> [...]
>> mono(clutter-sharp) = 1.0.0.0
>> mono(glib-sharp) = 2.12.0.0
>>
>> But nothing seems to depend on the clutter bindings:
>> $ repoquery -q --whatrequires 'mono(clutter-sharp)'
>> comes up empty.
>
> Based on this, I propose we retire the following packages and block them
> from F18+:
>
> clutter-gtk010
> clutter-sharp
> ease
>
> All of them are either missing an upstream or seem to be dead (ease).

That works for me. I can do it given I own one of them.

Peter


More information about the devel mailing list